<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_article_natures', function (Blueprint $table) {
            $table->integer('id', true);
            $table->unsignedTinyInteger('product_type')->nullable()->index('product_type')->comment('1 Botanic, 2 Merchandise');
            $table->string('name', 50)->nullable();
            $table->string('slug', 50)->nullable();
            $table->text('description')->nullable();
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_article_natures');
    }
};
